> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get clients/suppliers outstanding items

> Returns a list of all clients/suppliers outstanding items



## OpenAPI

````yaml get /consumers/{consumer_id}/accounting/outstandings
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/outstandings:
    get:
      tags:
        - Accounting
        - Outstanding
      summary: Get clients/suppliers outstanding items
      description: Returns a list of all clients/suppliers outstanding items
      operationId: accounting_get_outstandings
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
        - name: type
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/OutstandingType'
        - name: unposted_allowed
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/BoolParam'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_OutstandingItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.outstandings
            - accounting.outstandings.read
components:
  schemas:
    OutstandingType:
      type: string
      enum:
        - client
        - supplier
      title: OutstandingType
    BoolParam:
      type: string
      enum:
        - 'true'
        - 'false'
      title: BoolParam
    ChiftPage_OutstandingItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/OutstandingItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[OutstandingItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    OutstandingItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique id of the outstanding item instance in the accounting system.
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
          description: >-
            Invoice, Journal entry or Financial entry number of the outstanding
            item.
        journal_id:
          type: string
          title: Journal Id
          description: Id of the journal instance associated with the outstanding item.
        journal_type:
          $ref: '#/components/schemas/JournalType'
          description: >-
            Type of the journal associated with the outstanding item. This
            indicates the type of journal in which the outstanding item is
            recorded, such as 'sales', 'purchases', 'bank', etc. It helps in
            categorizing the outstanding item based on the nature of the
            transaction.
        date:
          type: string
          format: date
          title: Date
          description: Accounting date of the outstanding item.
        due_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Due Date
          description: Due date of the outstanding item.
        currency:
          type: string
          title: Currency
          description: Currency of the outstanding item (e.g., EUR, USD).
        currency_exchange_rate:
          type: number
          title: Currency Exchange Rate
          description: >-
            Exchange rate applicable at the date of the outstanding item if
            currency different from folder's default currency.
        amount:
          type: number
          title: Amount
          description: Total amount
        open_amount:
          type: number
          title: Open Amount
          description: Open amount.
        partner_id:
          type: string
          title: Partner Id
          description: >-
            Id of the thirdparty (customer, supplier or employee) in the
            accounting system linked to the outstanding item. This is used to
            identify the entity associated with the outstanding item.
        account_number:
          type: string
          title: Account Number
          description: >-
            Account number in the chart of accounts associated with the
            outstanding item. This is typically used to book the outstanding
            item against a specific ledger account.
        reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference
          description: >-
            Reference of the outstanding item. This is an optional field that
            can be used to store additional information or context related to
            the outstanding item, such as an invoice number or a transaction
            reference.
        matching_numbers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Matching Numbers
          description: >-
            List of matching numbers associated with the outstanding item. This
            is used to track any matching operations that have been performed on
            the outstanding item, such as payments or adjustments.
          default: []
        payment_communication:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Communication
          description: >-
            Payment communication associated with the outstanding item. This is
            an optional field that can be used to store additional information
            related to the payment
        posted:
          type: boolean
          title: Posted
          description: >-
            Indicates if the outstanding item has been posted (finalized) in the
            accounting system. If not provided, it defaults to True.
        original_document:
          anyOf:
            - $ref: '#/components/schemas/OriginalOutstandingItem'
            - type: 'null'
          description: >-
            Details of the original document associated with the outstanding
            item. This is used to link the outstanding item to its original
            source when oustanding item was initially posted in previous
            bookyear.
      type: object
      required:
        - id
        - journal_id
        - journal_type
        - date
        - currency
        - currency_exchange_rate
        - amount
        - open_amount
        - partner_id
        - account_number
        - posted
      title: OutstandingItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    JournalType:
      type: string
      enum:
        - customer_invoice
        - customer_refund
        - supplier_invoice
        - supplier_refund
        - financial_operation
        - miscellaneous_operation
        - unknown
      title: JournalType
    OriginalOutstandingItem:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Unique id of the original outstanding item in the accounting system.
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
          description: Number of the original outstanding item.
        journal_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Journal Id
          description: Id of the journal associated with the original outstanding item.
        journal_type:
          anyOf:
            - $ref: '#/components/schemas/JournalType'
            - type: 'null'
          description: Type of the journal associated with the original outstanding item.
        date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date
          description: Date of the original outstanding item.
        due_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Due Date
          description: Due date of the original outstanding item.
        reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference
          description: Reference of the original outstanding item.
      type: object
      title: OriginalOutstandingItem
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````